package com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class ProjectDailyPlan extends DataEntity<ProjectDailyPlan> {
    private String projectName; //项目名称
    private String projectNumber; //项目定义号
    private String projectLine; //线路
    private String projectPowerRange; //停电范围
    private String projectSwitch; //停电开关
    private Date projectMonthDate; //停电月份
    private Date projectDate; //停电日
    private String projectPowerOut; //是否停电
    private String status; //状态


    private String distributionNetwork;//配网项目经理
    private String constructionUnit;//施工单位项目经理
    private String operationUnit;//运行单位项目经理

    private String flagYesElectricity;//是否二次涉电 0-未涉电 1-二次涉电

    private String arrangeDailyPlan;//安排日计划的状态（0-未安排 1-已安排）


    public String getArrangeDailyPlan() {
        return arrangeDailyPlan;
    }

    public void setArrangeDailyPlan(String arrangeDailyPlan) {
        this.arrangeDailyPlan = arrangeDailyPlan;
    }

    @ExcelField(title="项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    @ExcelField(title="项目定义号", align=2, sort=2)
    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectLine() {
        return projectLine;
    }

    public void setProjectLine(String projectLine) {
        this.projectLine = projectLine;
    }
    @ExcelField(title="停电范围", align=2, sort=3)
    public String getProjectPowerRange() {
        return projectPowerRange;
    }

    public void setProjectPowerRange(String projectPowerRange) {
        this.projectPowerRange = projectPowerRange;
    }

    public String getProjectSwitch() {
        return projectSwitch;
    }

    public void setProjectSwitch(String projectSwitch) {
        this.projectSwitch = projectSwitch;
    }
    @JsonFormat(pattern = "YYYY")
    public Date getProjectMonthDate() {
        return projectMonthDate;
    }

    public void setProjectMonthDate(Date projectMonthDate) {
        this.projectMonthDate = projectMonthDate;
    }
    @ExcelField(title="日计划", align=2, sort=4)
    @JsonFormat(pattern = "YYYY-MM-dd")
    public Date getProjectDate() {
        return projectDate;
    }

    public void setProjectDate(Date projectDate) {
        this.projectDate = projectDate;
    }
    @ExcelField(title="是否停电", align=2, sort=5)
    public String getProjectPowerOut() {
        return projectPowerOut;
    }

    public void setProjectPowerOut(String projectPowerOut) {
        this.projectPowerOut = projectPowerOut;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    @ExcelField(title="配网项目经理", align=2, sort=6)
    public String getDistributionNetwork() {
        return distributionNetwork;
    }

    public void setDistributionNetwork(String distributionNetwork) {
        this.distributionNetwork = distributionNetwork;
    }
    @ExcelField(title="施工单位项目经理", align=2, sort=7)
    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }
    @ExcelField(title="运行单位人员", align=2, sort=8)
    public String getOperationUnit() {
        return operationUnit;
    }

    public void setOperationUnit(String operationUnit) {
        this.operationUnit = operationUnit;
    }

    public String getFlagYesElectricity() {
        return flagYesElectricity;
    }

    public void setFlagYesElectricity(String flagYesElectricity) {
        this.flagYesElectricity = flagYesElectricity;
    }
}
